import { FC } from 'react';

interface ButtonProps {
    label: string;
    iconLeft?: string;
    iconRight?: string;
    fullWidth?: boolean;
    disabled?: boolean;
    size?: "medium" | "small" | "large";
    variant?: "contained" | "outlined" | "text";
    color?: 'primary' | 'secondary' | 'dark' | 'success' | 'info' | 'warning' | 'danger';
}
declare const Button: FC<ButtonProps>;

interface DropdownProps {
    image?: string | undefined;
    user?: string | undefined;
    occupation?: string | undefined;
    links?: JSX.Element[] | JSX.Element;
    size?: "medium" | "small" | "large";
    variant?: "contained" | "outlined";
    position?: "left" | "right";
    color?: "primary" | "secondary" | "dark" | "success" | "info" | "warning" | "danger";
}
declare const Dropdown: FC<DropdownProps>;

export { Button, Dropdown };
